<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>Carbon 14 Date Calibrator</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script type="text/javascript" src="js/canvasjs.min.js"></script>
    <script src="js/formProcessor.js" defer></script>
  </head>
  <body>
    <h1>Carbon 14 Date Calibrator</h1>

    <div class="flex-container">
      <div>
        <h2>Input Data</h2>
        <form action="" id="inputForm">
          <table>
            <tr>
              <td><label for="age">Age (in years BP): </label></td>
              <td><input min="0" type="number" id="age" name="age"></td>
            </tr>
            <tr>
              <td><label for="uncertainty">Uncertainty: (Standard Deviation)</label></td>
              <td><input min="0" type="number" id="uncertainty" name="uncertainty"></td>
            </tr>
          </table>
          <button type="button" form="inputForm" id="submitButton" name="submitButton" onclick="CalibrateDate()">Submit</button>
        </form>
      </div>
      
      <div>
        <h2> Results </h2>

        <table>
          <tr>
            <td>Minimum calibrated date:</td>
            <td><span id="minDate"></span></td>
          </tr>
          <tr>
            <td>Maximum calibrated date:</td>
            <td><span id="maxDate"></span></td>
          </tr>
        </table>

      </div>
    </div>

    <h2> About </h2>

    <p>
      This calculator takes in a carbon 14 date and an uncertainty, given as the standard deviation of the date, and returns a range of calibrated dates representing a 95% confidence interval around the given value. This tool works with dates from 0-12,000 years BP as a result of the data set that is uses to calibrate dates. More information on this process can be found below.
    </p>
    
    <h3>Why do carbon-14 dates need to be calibrated?</h3>

    <p>
      Carbon 14 dating uses the radioactive decay of the isotope carbon-14 to date objects that have a significant amount of carbon in them, typically (previously) living organisms. Carbon-14 is made in the atmosphere by cosmic rays, and as a result, it enters living organisms during their lifetime as they exchange carbon with the atmosphere. After the death of a living organism, this process stops, which stops any intake of new carbon-14 atoms. Thus, the total amount of these atoms is governed by how many were originally in the sample and how quickly they decay.
    </p>
    <p>
      Carbon-14 dates have to be calibrated in order to account for the amount of carbon-14 that would have originally been in the organism. The amount of carbon-14 in the atmosphere has not been constant over the history of the Earth. Thus, if one dates a sample assuming that the proportion of carbon-14 in the sample was originally the same as the proportion currently found in the atmosphere, the date is almost garuanteed to be wrong.
    </p>

    <h3> What data does this calculator use for calibration</h3>

    <p>
      This dataset is calibrated data accessed from <a href="http://intcal.org/JS/JSintcal20/index.html?xscale=BP&yscale=C14&Sets%5B%5D=1">http://intcal.org/JS/JSintcal20/</a>. This website references its data from two papers from Minze Stuiver and others. These references can be seen below:

      <p class="quote">
        Stuiver, M, and Braziunas, TF. 1993. Sun, ocean, climate and atmospheric 14CO2: an evaluation of causal and spectral relationships. Holocene 3: 289-305.</br>
        Stuiver, M, Reimer, PJ, Braziunas, TF. 1998. High-precision radiocarbon age calibration for terrestrial and marine samples. Radiocarbon 40:1127-1151.
      </p>

      One of the main ways that carbon-14 ages can be calibrated is using dendrochronological data, or in other words, data from tree rings. Since the age of each tree ring is known, the carbon ratios found in each ring can be used to create a reference for the actual age. Then, the carbon age from the sample can be compared agains the tree ring to find the actual age of the sample?
    </p>

    <h3> How is uncertainty handled?</h3>

    <p>
      The process of calculating the original carbon date introduces some level of uncertainty. Thus, it is not typical to have a singular age, rather it is more typical to have a range of ages. As a result, this calculator has two fields, one for the calculated age and one for the standard deviation. With no calibration, one would be 95% confident that the true age is within 2 standard deviations of the age given.
    </p>

    <p>
      However, the process with calibrating the ages makes this process more complicated. The way that carbon-14 ratios have changed in the atmosphere over the time leads to some uncalibrated ages corresponding to multiple different calibrated ages. This means that sometimes the range of the 95% confidence interval in the calibrated ages can become larger than 4 standard deviations (2 standard deviations in either direction from the given age).
    </p>

    <p>
      The current process that the calculator uses is that is it takes in an age and a standard deviation. Then, it finds all entries in the calibration dataset that have a carbon-14 age within 2 standard deviations from the given age. Then, it reports the highest and lowest of these values. This forms the 95% confidence interval around the given age. If there are no entries in that range in the calibration data set, the tool announces to the user that there were no calibrated dates corresponding to the ones put in. This is described as the <em> intercept method </em> on the documentation for <a href="https://c14.arch.ox.ac.uk/calibration.html#conventions_ranges">OXCAL calculator</a>
    </p>
  </body>
</html>

